## org.pentaho.reporting.libraries.formula.function.text
Class TrimFunction

    java.lang.Object
      org.pentaho.reporting.libraries.formula.function.text.TrimFunction

All Implemented Interfaces:
  java.io.Serializable, Function

    public class TrimFunction

extends java.lang.Object
implements Function

This function returns the given text free of leading spaces. Removes all leading and trailing spaces and all extra spaces inside the text.

Author:
  Cedric Pronzato
See Also:
  Serialized Form

Constructor Summary
`TrimFunction()`

Method Summary
`TypeValuePair` `evaluate(FormulaContext context, ParameterCallback parameters)`
`java.lang.String` `getCanonicalName()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TrimFunction

    public TrimFunction()

Method Detail

### evaluate

    public TypeValuePair evaluate(FormulaContext context,
                                  ParameterCallback parameters)
                           throws EvaluationException

  Specified by:
    `evaluate` in interface `Function`
  Throws:
    `EvaluationException`

### getCanonicalName

    public java.lang.String getCanonicalName()

  Specified by:
    `getCanonicalName` in interface `Function`